Bug 1762325 - cloud-utils fails to install in Fedora rawhide: retired python-ipaddress, euca2ools
Summary: cloud-utils fails to install in Fedora rawhide: retired python-ipaddress, euc...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: cloud-utils
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Juerg Haefliger
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F32FailsToInstall PY2FTBI
TreeView+ depends on / blocked
 
Reported: 2019-10-16 14:32 UTC by Miro Hrončok
Modified: 2020-01-20 18:50 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-20 18:50:42 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2019-10-16 14:32:34 UTC
cloud-utils-0.31-3.fc31.noarch fails to install in Fedora rawhide:

  package euca2ools-3.4.1-8.fc31.noarch requires python2-requests, but none of the providers can be installed
  package euca2ools-3.4.1-8.fc31.noarch requires python2.7dist(requests), but none of the providers can be installed
  package cloud-utils-0.31-3.fc31.noarch requires euca2ools, but none of the providers can be installed
  package python2-requests-2.22.0-6.fc32.noarch requires (python2.7dist(urllib3) < 1.25 or python2.7dist(urllib3) >= 1.25.0), but none of the providers can be installed
  package python2-requests-2.22.0-6.fc32.noarch requires (python2.7dist(urllib3) < 1.25.1 or python2.7dist(urllib3) >= 1.25.1.0), but none of the providers can be installed
  package python2-requests-2.22.0-6.fc32.noarch requires python2-urllib3 >= 1.21.1, but none of the providers can be installed
  package python2-requests-2.22.0-6.fc32.noarch requires python2.7dist(urllib3) >= 1.21.1, but none of the providers can be installed
  package python2-requests-2.22.0-6.fc32.noarch requires python2.7dist(urllib3) < 1.26, but none of the providers can be installed
  nothing provides python2-ipaddress needed by python2-urllib3-1.25.3-6.fc32.noarch

This is caused by python-ipaddress being retired after it was orphan for 6+ weeks.
Note that euca2ools is orphan for 4 weeks already.

Please drop the dependency. Thanks

Comment 1 Miro Hrončok 2019-10-22 15:39:59 UTC
In preparation for the Python 2 EOL, we are removing all non-installable Python 2 packages:
https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

This bug is still in the NEW state and the package does not install. Please indicate you are working on a fix by setting the state to ASSIGNED. When this bug is four weeks in the NEW state, the package may be orphaned.

Note that you don't have to actually fix this right now, setting the bug to ASSIGNED will just mark this as being worked on, so I'll know it is being taken care of. If this happens too quickly, feel free to reach to me any time for help (with specific problems).

Thank You!

Comment 2 Miro Hrončok 2019-10-23 23:07:32 UTC
euca2ools was retired

Comment 3 Miro Hrončok 2019-10-29 19:23:07 UTC
In preparation for the Python 2 EOL, we are removing all non-installable Python 2 packages:
https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

This bug is still in the NEW state and the package does not install. Please indicate you are working on a fix by setting the state to ASSIGNED. When this bug is four weeks in the NEW state, the package may be orphaned.

Note that you don't have to actually fix this right now, setting the bug to ASSIGNED will just mark this as being worked on, so I'll know it is being taken care of. If this happens too quickly, feel free to reach to me any time for help (with specific problems).

Thank You!

Comment 4 Miro Hrončok 2020-01-20 18:50:42 UTC
This has been fixed. Thanks.


Note You need to log in before you can comment on or make changes to this bug.